# compiler
Comme Make mais HomeMade.

## A quoi ce programme sert-il ?
J'avais la flemme de paramétrer Make ou CMake donc j'ai
fait comme eux mais en plus *simple*.
Cette commande sert à éviter de devoir réécrir la ligne
de commande g++ a chaque fois.

## Comment compiler compiler ?
Voici la commande utilisée et que je vous conseil d'utiliser :
    g++ -std=c++17 main.cpp -O2 -o compiler

## Comment utiliser la commande compiler ?
C'est *simple*, écrivez "compiler" suivi du nom de sortie de l'executable.

## Comment donner des fichiers ou arguments au compilateur ?
Pareil, c'est *simple* :

  1. Creez un fichier CompilerFileList.txt.
  2. Mettez le nom de chaque fichiers par ligne.
  3. Vous pouvez aussi mettre des arguments comme "-Wall" ou autre
  4. Et pour finir vous pouvez mettre des commentaire que "compiler" vas interpréter comme un changement de catégorie (ceci n'affecte d'aucune
  manière le compilateur ou la manière dont vont être donné les arguments au compilateur, c'est juste pour rendre le tout plus lisible).

## Exemple *simple* :

#### CompilerFileList.txt
    # Source files          // catégories
    main.cpp                // noms de fichier
    lib.cpp

    # Arguments
    -Wall                   // arguments
    -Wextra


# Conclusion !
Et voila vous avez fait le tour de ce super "compiler" ! (vous voyer c'est super *simple* !)

Le fichier CompilerFileList.txt sera présent dans presque tout mes programmes.

## -------------Astuce !-------------
Vous pouvez mettre l'executable "compiler" directement dans /usr/bin pour ne pas avoir à copier cet executable partout.